Storage
Manage the company media that you store in Ops Execution.
Many entities within Ops Execution such as forms and tasks include references to image, video, and document resources. These can be accessed through the Storage API detailed here.
Get a File URL
GET /api/v2/users/current/storage/?path=<PATH>
Generates a fully qualified URL to a file within Ops Execution based on a provided path. This URL will expire 24 hours after the request is made.
Query Parameters
| Parameter | Value | Required |
|---|---|---|
path | The path to a file provided by another Ops Execution API endpoint. This usually begins with company/. | Yes |
redirect | If true, the response will be a 302 redirect to the direct link. | No |
Example:
curl -H 'X-API-TOKEN: your-api-token-goes-here' \
https://www.ops-execution.crunchtime.com/api/v2/users/current/storage/?path=company/6/forms/submissions/id/18370/2020/07/09/donkey_500-1594322125874.pngcurl -L -H 'X-API-TOKEN: your-api-token-goes-here' \
https://www.ops-execution.crunchtime.com/api/v2/users/current/storage/?path=company/6/forms/submissions/id/18370/2020/07/09/donkey_500-1594322125874.png&redirect=trueResponse
{
"meta": {
"status_code": 200
},
"data": {
"location": "https://production-forms-secure.storage.ops-execution.crunchtime.com/company/6/forms/submissions/id/18370/2020/07/09/donkey_500-1594322125874.png?Policy=eyJTdGF0ZW1lbnQiOiBbeyJSZXNvdXJjZSI6ICJodHRwczovL3Byb2R1Y3Rpb24tZm9ybXMtc2VjdXJlLnN0b3JhZ2Uub3BzLWV4ZWN1dGlvbi5jcnVuY2h0aW1lLmNvbS9jb21wYW55LzYvZm9ybXMvc3VibWlzc2lvbnMvaWQvMTgzNzAvMjAyMC8wNy8wOS9kb25rZXlfNTAwLTE1OTQzMjIxMjU4NzQucG5nIiwgIkNvbmRpdGlvbiI6IHsiRGF0ZUxlc3NUaGFuIjogeyJBV1M6RXBvY2hUaW1lIjogMTU5NzI3NDE5NX19fV19&Signature=G1UwWlHSTNtrn3jiOL28bahJlfCvXxaLuxWe-PfMzlYMyKH3zi1CLo4XbJIDaLxo6jDG824tQiRIKvyw8gjf~X~b3idmvJvHxUTIDHkdOt6H-bsPo9JGXLLl-L~Z92zXOC1jEJNw8hWCkkp0TL~S7FesIxDQBXzz60rR7nyugkRELYuDcdvKZw3zyhGk1ycFt2f-R-VcwvRfQnZwcawPDH9XFd12oIoH4FyKxPrLd4-RKq3UY1Xv0y1KYCZ7l6a8D-bjckgX1NdwkSO4nhFkyLI68QhvZrQmUBj-kWVimxslyMtGr2g5V5mw1XBIYKlbxnUgjaIM~k0YMjGwmFpK3A__&Key-Pair-Id=APKAIVKWSY6TSYH7WSTA"
}
}Updated about 1 month ago